Bug 170861 - system-config-lvm thinks my /boot partition is uninitialized
system-config-lvm thinks my /boot partition is uninitialized
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2005-10-14 15:46 EDT by Matthias Clasen
Modified: 2010-02-16 07:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 07:56:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-10-14 15:46:21 EDT
When in fact its a mounted ext3 partition. 
Thats bad, since it might give the poor user the idea to use /boot for something
else --> no boot anymore...
Comment 1 David Timms 2007-07-05 09:38:56 EDT
Same can be said for root/home partitions, -lvm should not be intimating that
they are currently not in use, and hence encouraging an admin to intialize them
for lvm use.
1. The unitialized partitions list should list only those marked as partition
type Linux LVM =0x8e
2. An enhanced GUI could have a tree branch called: non-lvm partitions, and
boot/swap/root/ntfs/vfat/home would be listed there. While it would be nice to
show some details of these {size and mount point}, at least the -lvm util could
list the partition names.
Comment 2 Charles R. Anderson 2008-02-07 19:49:47 EST
Maybe we can get this fixed for F9?  Putting on F9Target.
Comment 3 Bug Zapper 2008-05-13 22:02:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:03:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Marek Grac 2010-01-22 06:58:20 EST
Moved to Fedora rawhide as there is still this problem.
Comment 6 Marek Grac 2010-02-16 07:56:11 EST
System-config-lvm has entered maintainance-only mode and whole package will be
deprecated soon. We do not plan active development, only bugfixing. 

Solution 1) , as proposed in comment 1, is not acceptable as it will add new restrictions for PV and thus some of the devices won't be shown

Solution 2) is acceptable but needs active development.

Note You need to log in before you can comment on or make changes to this bug.